Two small instances: for WikiToLearn development
Closed, InvalidPublic

Description

Project Name: wikitolearn-dev

Purpose: WikiToLearn needs two small instances for helping their Mediawiki development.

WikiToLearn is a project started in Italy by a group of students from University of Milano-Bicocca in Milan that wants to provide free, collaborative and accessible text books to the whole world. The goal of the the project provide a platform where learners and teachers can together complete, refine and re-assemble notes, lecture notes. All the content is release under a CC-BY-SA 3.0 license.

WikiToLear is supported by Wikimedia Italia and it has been incubated by KDE (see https://dot.kde.org/2015/08/17/another-kde-success-story-incubator-part-1).

They have a small but motivated team of volunteer developers that are working on enhancing MediaWiki capabilities to deal with LaTex, all their code is FLOSS (see https://github.com/WikiToLearn).

As said above, they need a couple of small instances for their development process.,

Wikitech Username of requestor: CristianCantoro, Ruphy

CristianCantoro updated the task description. (Show Details)
CristianCantoro raised the priority of this task from to Normal.
CristianCantoro added subscribers: Luke081515, revi, RP88 and 8 others.
Andrew closed this task as Resolved.Oct 13 2015, 1:54 PM
Andrew claimed this task.

I created this project. Cristian, you are project admin; you can add other users to the project as needed.

CristianCantoro reopened this task as Open.EditedOct 14 2015, 8:03 PM

Sorry for re-opening but I wanted to keep track of requests here.

I have talked with the developers (User:Ruphy and User:Toma.luca95) and they have asked if they can also request a large instance with a public IP to be used as a staging server for the project.

Thanks in advance.

Cristian

Why do you need a public IP? If you want to expose http webserver to the web you can set it up already with 'manage proxies' on the left hand sidebar in wikitech.

CristianCantoro added a comment.EditedOct 15 2015, 3:47 PM

Hi yuvipanda,

the devs (User:Ruphy and User:Toma.luca95) told me that they "need a public IP to test the interaction with cloudflare [which they use on the production server that are currently donated by University of Milano-Bicocca/GARR]" and having the service behind a proxy would interfere with the other proxies they have.

Cristian

Hi,

any updates about this?

Cristian

Ok, so two things:

  1. You can create a large instance, I think there's enough quota for that by default
  2. I unfortunately don't think that's enough reason to provide a public IP - those are in short-ish supply. The proxy is fairly transparent, so try it out and open a bug if there are problems?

I also don't understand why this needs cloudflare?

It is possible have a proxy for *.wikitolearn.org/*.wiki2learn.org domains and subdomains with websocket support?
I can't find admin page where request/manage proxy.

Andrew removed Andrew as the assignee of this task.Nov 12 2015, 11:46 PM

It is possible have a proxy for *.wikitolearn.org/*.wiki2learn.org domains and subdomains with websocket support?
I can't find admin page where request/manage proxy.

is this question still current?

It is possible have a proxy for *.wikitolearn.org/*.wiki2learn.org domains and subdomains with websocket support?
I can't find admin page where request/manage proxy.

is this question still current?

No

chasemp closed this task as Invalid.Jul 25 2016, 1:50 PM